Bug 757889 - [abrt] ibus-1.4.0-6.fc16: enginetreeview.py:176:set_engines:AttributeError: 'NoneType' object has no attribute 'name'
[abrt] ibus-1.4.0-6.fc16: enginetreeview.py:176:set_engines:AttributeError: '...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
abrt_hash:1ab6009b7b64a3d4db37f0a57ee...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-28 16:37 EST by Mohammed Adel
Modified: 2012-01-11 01:14 EST (History)
3 users (show)

See Also:
Fixed In Version: ibus-1.4.0-17.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-11 01:14:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mohammed Adel 2011-11-28 16:37:56 EST
libreport version: 2.0.6
abrt_version:   2.0.4.981
cmdline:        /usr/bin/python /usr/share/ibus/setup/main.py
comment:        Not sure what happened
executable:     /usr/share/ibus/setup/main.py
kernel:         3.1.0-7.fc16.x86_64
reason:         enginetreeview.py:176:set_engines:AttributeError: 'NoneType' object has no attribute 'name'
time:           Mon Nov 28 19:41:25 2011
uid:            1000
username:       mohammed

backtrace:
:enginetreeview.py:176:set_engines:AttributeError: 'NoneType' object has no attribute 'name'
:
:Traceback (most recent call last):
:  File "/usr/share/ibus/setup/xkbsetup.py", line 338, in __button_system_keyboard_layout_add_cb
:    self.__treeview_system_keyboard_layout.set_engines([engine])
:  File "/usr/share/ibus/setup/enginetreeview.py", line 176, in set_engines
:    e.name.startswith(ibus.DEFAULT_BRIDGE_ENGINE_NAME):
:AttributeError: 'NoneType' object has no attribute 'name'
:
:Local variables in innermost frame:
:self: <EngineTreeView object at 0x1937f00 (EngineTreeView at 0x1aac5a0)>
:e: None
:engines: [None]

smolt_data:
:
:
:General
:=================================
:UUID: 7c3d7260-5287-4474-9326-c86a5f32a66e
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5624.96
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) II X2 240 Processor
:CPU Stepping: 2
:CPU Family: 16
:CPU Model Num: 6
:Number of CPUs: 2
:CPU Speed: 2800
:System Memory: 3011
:System Swap: 0
:Vendor: Gigabyte Technology Co., Ltd.
:System: M61PME-S2P 
:Form factor: Desktop
:Kernel: 3.1.0-7.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4318:1014:5208:45058) pci, sata_nv, STORAGE, MCP61 SATA Controller
:(4318:1004:5208:20482) pci, pata_amd, STORAGE, MCP61 IDE
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4318:1000:4318:0) pci, pcieport, PCI/PCI, MCP61 PCI Express bridge
:(4318:1009:5208:20484) pci, ohci_hcd, USB, MCP61 USB Controller
:(4318:1010:5208:20484) pci, ehci_hcd, USB, MCP61 USB Controller
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(5772:29:5772:8277) pci, ath5k, ETHERNET, AR5007G Wireless Network Adapter
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4318:1011:5208:623) pci, None, PCI/PCI, MCP61 PCI bridge
:(4318:1007:5208:57344) pci, forcedeth, BRIDGE, MCP61 Ethernet
:(4098:38223:6023:8817) pci, radeon, VIDEO, RV710 [Radeon HD 4350]
:(4318:1002:5208:20481) pci, None, RAM, MCP61 Memory Controller
:(4318:1008:5208:40962) pci, snd_hda_intel, MULTIMEDIA, MCP61 High Definition Audio
:(4098:43576:6023:43576) pci, snd_hda_intel, MULTIMEDIA, RV710/730
:(4318:1013:5208:3089) pci, None, RAM, MCP61 Memory Controller
:(4318:1003:5208:3089) pci, nForce2_smbus, SERIAL, MCP61 SMBus
:(4318:992:5208:3089) pci, None, PCI/ISA, MCP61 LPC Bridge
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda4 / ext4 4096 4096 8028650 6396252 5988419 2039808 1879163 1879163
:/dev/sda3 /boot ext4 1024 1024 495844 460105 434505 128016 127797 127797
:/dev/sda6 WITHHELD fuseblk 4096 4096 76547708 25910626 25910626 103773576 103744159 103744159
:/dev/sda1 WITHHELD fuseblk 4096 4096 25603585 7072584 7072584 28716320 28493735 28493735
:/dev/sda7 WITHHELD fuseblk 4096 4096 11797726 1630797 1630797 6621492 6587531 6587531
:
Comment 1 fujiwara 2011-12-30 03:29:17 EST
(In reply to comment #0)
> :Traceback (most recent call last):
> :  File "/usr/share/ibus/setup/xkbsetup.py", line 338, in
> __button_system_keyboard_layout_add_cb
> :    self.__treeview_system_keyboard_layout.set_engines([engine])
> :  File "/usr/share/ibus/setup/enginetreeview.py", line 176, in set_engines
> :    e.name.startswith(ibus.DEFAULT_BRIDGE_ENGINE_NAME):
> :AttributeError: 'NoneType' object has no attribute 'name'
> :
> :Local variables in innermost frame:
> :self: <EngineTreeView object at 0x1937f00 (EngineTreeView at 0x1aac5a0)>
> :e: None
> :engines: [None]

I don't understand why the active engine could be null but I added the check logic to avoid segv.

--- ibus-1.4.0/setup/xkbsetup.py.orig
+++ ibus-1.4.0/setup/xkbsetup.py
@@ -350,6 +350,9 @@ class XKBSetup(gobject.GObject):
     def __button_system_keyboard_layout_add_cb(self, button):
         engines = self.__treeview_system_keyboard_layout.get_engines()
         engine = self.__combobox_system_keyboard_layout.get_active_engine()
+        if engine == None:
+            return
+        # If engines[0] is the default dummy engine:
         if len(engines) > 0 and engines[0].layout == "default":
             self.__treeview_system_keyboard_layout.set_engines([engine])
         else:
Comment 2 Fedora Update System 2011-12-30 04:04:42 EST
ibus-1.4.0-15.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-1.4.0-15.fc16
Comment 3 Fedora Update System 2011-12-30 17:55:12 EST
Package ibus-1.4.0-16.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.4.0-16.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17574/ibus-1.4.0-16.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-01-05 15:56:19 EST
Package ibus-1.4.0-17.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.4.0-17.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17574/ibus-1.4.0-17.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-01-11 01:14:07 EST
ibus-1.4.0-17.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.